Subject: RE: bug#49265: [External] : bug#49265: 28.0.50; repeat mode feature request

From: Drew Adams <[email-masked]>
Date: Mon, 5 Jul 2021 14:53:28 +0000

>     Drew> The text is ambiguous.  If that's what you mean,
>     Drew> please reword it.  For example, this unambiguously
>     Drew> applies "repeatable" only to "commands":
> 
>     Drew>   Describe keymaps and repeatable commands.
> 
>     Drew> But is "describe keymaps" appropriate?  Or are the
>     Drew> keymaps that are described here only certain ones?
> 
> It only describes keymaps that have bindings to
> repeatable commands in them.

Yes, that's what I understood.  So the proposed doc
misleads.  (And it doesn't describe all such keymaps,
because it doesn't consider all repeatable commands -
see next.)

> I still think we should not mention keymaps at all, only bindings.

I agree.

And as I mentioned earlier, it should be made clear
in the doc that "repeatable" here means only commands
defined using `repeat.el'.

There are other ways to define repeatable commands,
and those commands aren't represented by this
describe feature.

(It's not even clear to me that this feature really
helps users.  A naming convention (combined with
`commandp', of course) makes more sense to me.)